import axios from "@/config/axios";
import type { DesignRequestInitiateParams, DesignRequestsResponse, RequestDesignResponse } from "../types/Types";

export const initiateDesignRequest = async (params: DesignRequestInitiateParams): Promise<RequestDesignResponse> => {
  const { data } = await axios.post("/admin/design-request/initiate", params);
  return data;
};

export const getDesignRequests = async (): Promise<DesignRequestsResponse> => {
  const { data } = await axios.get("/admin/design-request");
  return data;
};
